Skip to content

List All Tags

Request

Lists all tags present in the account.

Security
apiKey
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/tags.xml
curl -i -X GET \
  'https://api.vworkapp.com/v5/tags.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Tue, 14 Jun 2016 02:46:38 GMT"
ETagstring
Example:"W/\"6eebea1fbbc660a5f8895255856037e3\""
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"f068e8b1-4928-4f26-9afc-6b233768b46d"
X-Runtimestring
Example:"0.072989"
X-Unique-IDstring
Example:"CA7C7B8A:D37C_0A000ED8:01BB_575F6FC1_790749:1E66"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="UTF-8"?>
<tags type="array">
    <tag>
        <id type="integer">27</id>
        <name>CDL</name>
        <description>Commercial Driver's License</description>
        <expires type="boolean">true</expires>
        <created_by_user_id nil="true"/>
        <created_at type="datetime">2016-06-14T02:41:25Z</created_at>
        <updated_at type="datetime">2016-06-14T02:41:25Z</updated_at>
    </tag>
</tags>